<html ng-app="myApp">
<head>
    <meta charset="UTF-8">
    <title>Bootsrapping Lesson 3 || Angular Training</title>

    <!-- Put Some Style Dude -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bulma/0.6.1/css/bulma.min.css" />
</head>
<body class="section">

    <!-- Angular Template -->
    <div ng-controller="mainController">
        <div class="notification is-primary has-text-centered">
            <b>{{ message ? message : 'Start Typing..' }}</b>
        </div>

        <!-- Bind {message} to input field -->
        <input type="text" placeholder="Enter Text..." ng-model="message" class="input">
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/angular.js/1.6.5/angular.js"></script>
    <script>
        // Ref: https://egghead.io/lessons/angularjs-building-an-angular-app-bootstrapping

        angular.module('myApp', []).controller('mainController', $scope => {
            console.log('Awesome... It is Working!!');
        });
    </script>
</body>
</html>
